using StellaOps.Authority.Storage.Mongo.Documents;

namespace StellaOps.Authority.Storage.Mongo.Stores;

public interface IAuthorityClientStore
{
    ValueTask<AuthorityClientDocument?> FindByClientIdAsync(string clientId, CancellationToken cancellationToken);

    ValueTask UpsertAsync(AuthorityClientDocument document, CancellationToken cancellationToken);

    ValueTask<bool> DeleteByClientIdAsync(string clientId, CancellationToken cancellationToken);
}
